> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current camera state

> Use /getFullCameraState instead



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/camera/getCurrentState
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/camera/getCurrentState:
    post:
      tags:
        - Camera Webservice
      summary: Get current camera state
      description: Use /getFullCameraState instead
      operationId: getCurrentCameraState
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Camera_GetCurrentStateWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Camera_GetCurrentStateWSResponse'
          description: OK
      deprecated: true
components:
  schemas:
    Camera_GetCurrentStateWSRequest:
      type: object
      description: Request to retrieve the current state of a camera (deprecated).
      properties:
        cameraUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        force:
          type: boolean
          description: Whether to force a refresh of the camera state
          example: false
          nullable: true
    Camera_GetCurrentStateWSResponse:
      type: object
      description: Response containing the current state of a camera (deprecated).
      properties:
        cameraState:
          $ref: '#/components/schemas/Camera_CameraCurrentStateType'
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    Camera_CameraCurrentStateType:
      type: object
      description: Current state information for a camera.
      properties:
        baseVideoOperationUri:
          type: string
          description: Base URI for video operations
          example: https://api.example.com/video
          nullable: true
        connectionStatus:
          $ref: '#/components/schemas/Camera_StatusEnum'
        connectionTimestampMs:
          type: integer
          format: int64
          description: Connection timestamp in milliseconds
          example: 1640995200000
          nullable: true
        defaultInterface:
          type: string
          description: Default network interface
          example: eth0
          nullable: true
        defaultInterfaceMac:
          type: string
          description: MAC address of default interface
          example: '00:11:22:33:44:55'
          nullable: true
        firmwareVersion:
          type: string
          description: Current firmware version
          example: 1.2.3
          nullable: true
        healthStatus:
          $ref: '#/components/schemas/Camera_StatusEnum'
        healthStatusDetails:
          $ref: '#/components/schemas/Camera_HealthStatusDetailsEnum'
        latestFirmwareVersion:
          type: string
          description: Latest available firmware version
          example: 1.2.4
          nullable: true
        mediaRegion:
          type: string
          description: Media region
          example: us-west-1
          nullable: true
        onCameraState:
          type: object
          additionalProperties:
            type: object
            description: State information stored on the camera
            nullable: true
          description: State information stored on the camera
          nullable: true
        onCloudState:
          type: object
          additionalProperties:
            type: object
            description: State information stored in the cloud
            nullable: true
          description: State information stored in the cloud
          nullable: true
        region:
          type: string
          description: Camera region
          example: us-west-1
          nullable: true
        serialNumber:
          type: string
          description: Camera serial number
          example: CAM123456789
          nullable: true
        ssid:
          type: string
          description: WiFi SSID
          example: MyNetwork
          nullable: true
        versionsBehind:
          type: integer
          format: int32
          description: Number of firmware versions behind
          example: 1
          nullable: true
        wifiApMac:
          type: string
          description: MAC address of WiFi access point
          example: AA:BB:CC:DD:EE:FF
          nullable: true
        wifiBars:
          type: integer
          format: int32
          description: WiFi signal strength in bars (1-5)
          example: 4
          nullable: true
        wifiSignalStrength:
          type: integer
          format: int32
          description: WiFi signal strength in dBm
          example: -45
          nullable: true
    Camera_StatusEnum:
      type: string
      description: Status enumeration for camera states.
      enum:
        - RED
        - ORANGE
        - GREEN
    Camera_HealthStatusDetailsEnum:
      type: string
      description: Detailed health status enumeration for cameras.
      enum:
        - DISCONNECTED
        - FIRMWARE_BEHIND
        - NONE
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````